On Thu, 3 Nov 2005, Daniel Berger wrote:

> Hugh Sasse wrote:
> > On Thu, 3 Nov 2005, Daniel Berger wrote:
> > 
> > 
> > > Hi all,
> > > 
> > > Solaris 10
> > > gcc 3.4.4
> > > 
> > > Here's the latest round of warnings from 1.8.4 p1, excluding the
> > > "suggested
> > > parantheses" and "type punned pointer" warnings:
> > > 
> > > # Make warnings
> > > make: Warning: Illegal dependency list for target `.DEFAULT'
> > 
> > 
> > Which make are you using?  (Sun, GNU, ...)
> 
> Sun.

GNU make may cope better
> 
> > which ld?
> 
> Sun.
> 
> djberge@~-866>ld -V
> ld: Software Generation Utilities - Solaris Link Editors: 5.10-1.479

I don't know how gnu ld will compare...
> 
> > > # More on the make warning, from the make man page:
> > > .DEFAULT:               If it has an entry in the  makefile,
> > > 
> > 
> > 
> > Do you have a script to collect, and collate, this information?
> 
> No.  I'm not sure what you mean.

I assumed you'd done the build in a shell or ruby script and grepped
for the warnings, sorted them by type.  It would save me having to
write one to reproduce your results.  For if the maintainers are to
compare between platforms it would be useful to be able to diff
them.  I'll probably try to throw something together to do this but
will probably be beaten to it.
        [...]
> Regards,
> 
> Dan
> 
        Thank you
        Hugh
> 
>